---
title: Docker MkDocs
repo: https://gitlab.lakedrops.com/docker/mkdocs
issues: https://gitlab.lakedrops.com/docker/mkdocs/-/issues
tags:
- docker
- mkdocs
- tests
---
# MkDocs

This project provides a tool for creating HTML documentation with markup. We used it for this documentation website
for obvious reasons. Like in many other projects we recommend using [Ahoy](composer/plugin/ahoy/). The file could look like:


```mkdocs
ahoyapi: v2
commands:
  up:
    cmd: |
      docker-compose up -d
      echo "Open site in browser: http://127.0.0.1:8999"
      echo "It may take a few seconds before the server is up and running."
    usage: Start MkDocs server.
  down:
    cmd: docker-compose down
    usage: Stop MkDocs server and remove container.
  stop:
    cmd: docker-compose stop
    usage: Stop MkDocs server.
  restart:
    cmd: docker-compose restart
    usage: Restart MkDocs server.
  logs:
    cmd: docker-compose logs -f
    usage: Show logs from MkDocs server.
  build:
    cmd: docker-compose exec --workdir=/mkdocs mkdocs mkdocs build
    usage: Builds the documentation in site directory.
```

See more information [here](https://www.mkdocs.org/).